Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# LinesPercept::LineCrossingPoint Class Reference

`#include <LinesPercept.h>`

Inheritance diagram for LinesPercept::LineCrossingPoint:

[legend]
Collaboration diagram for LinesPercept::LineCrossingPoint:

[legend]
List of all members.

## Public Member Functions
void | serialize (In *in, Out *out)
## Public Attributes
Vector2< int > | locationOnField
Vector2< int > | locationInImage
double | angleOnField
double | angleInImage1
double | angleInImage2
CrossingCharacteristic | side1
CrossingCharacteristic | side2
CrossingCharacteristic | side3
CrossingCharacteristic | side4
bool | outOfImage

## Member Function Documentation

void LinesPercept::LineCrossingPoint::serialize | ( | In * | in,
|  | Out * | out
| ) | `[inline, virtual]`

| Implements Streamable. Definition at line 112 of file LinesPercept.h. References angleInImage1, angleInImage2, LinesPercept::getCrossingCharacteristicName(), locationInImage, locationOnField, outOfImage, side1, side2, side3, side4, STREAM, STREAM_ENUM, STREAM_REGISTER_BEGIN, and STREAM_REGISTER_FINISH.

Here is the call graph for this function:

## Member Data Documentation

Vector2<int> LinesPercept::LineCrossingPoint::locationOnField

| Definition at line 106 of file LinesPercept.h. Referenced by serialize(), SlamSelfLocator::updateByCrossing(), GT2005StableSelfLocator::updateByCrossing(), and GT2005SelfLocator::updateByCrossing().

Vector2<int> LinesPercept::LineCrossingPoint::locationInImage

| Definition at line 107 of file LinesPercept.h. Referenced by serialize().

double LinesPercept::LineCrossingPoint::angleOnField

| Definition at line 108 of file LinesPercept.h. Referenced by GT2005SelfLocator::updateByCrossing().

double LinesPercept::LineCrossingPoint::angleInImage1

| Definition at line 108 of file LinesPercept.h. Referenced by serialize().

double LinesPercept::LineCrossingPoint::angleInImage2

| Definition at line 108 of file LinesPercept.h. Referenced by serialize().

CrossingCharacteristic LinesPercept::LineCrossingPoint::side1

| Definition at line 109 of file LinesPercept.h. Referenced by GT2005LineCrossingsTable::getClosestPoint(), and serialize().

CrossingCharacteristic LinesPercept::LineCrossingPoint::side2

| Definition at line 109 of file LinesPercept.h. Referenced by GT2005LineCrossingsTable::getClosestPoint(), and serialize().

CrossingCharacteristic LinesPercept::LineCrossingPoint::side3

| Definition at line 109 of file LinesPercept.h. Referenced by GT2005LineCrossingsTable::getClosestPoint(), and serialize().

CrossingCharacteristic LinesPercept::LineCrossingPoint::side4

| Definition at line 109 of file LinesPercept.h. Referenced by GT2005LineCrossingsTable::getClosestPoint(), and serialize().

bool LinesPercept::LineCrossingPoint::outOfImage

| Definition at line 110 of file LinesPercept.h. Referenced by GT2005LineCrossingsTable::getClosestPoint(), and serialize().

The documentation for this class was generated from the following file:

- Representations/Perception/LinesPercept.h